{
	// Place your funtech-game-design workspace snippets here. Each snippet is defined under a snippet name and has a scope, prefix, body and 
	// description. Add comma separated ids of the languages where the snippet is applicable in the scope field. If scope 
	// is left empty or omitted, the snippet gets applied to all languages. The prefix is what is 
	// used to trigger the snippet and the body will be expanded and inserted. Possible variables are: 
	// $1, $2 for tab stops, $0 for the final cursor position, and ${1:label}, ${2:another} for placeholders. 
	// Placeholders with the same ids are connected.
  "feature-frontend-data-query": {
    "prefix": "feature-frontend-data-delete",
    "body": [
        "Feature: Frontend Delete data",
        "  As a user",
        "  I should be able to delete an existing data",
        "",
        "  @browser",
        "  Scenario: Delete an existing unit from detail page",
        "    Given I am on the \"list\" page",
        "    When I click the \"new-btn\" button",
        "    Then I should be on the \"form\" page",
        "",
        "    Given I have the \"empty\" form",
        "    And I enter below sample data as inputs form",
        "      | code    | label  | photo  |",
        "      | random  | random | random |",
        "    When I click the \"submit-btn\" button",
        "    Then I should be on the \"detail\" page with below data",
        "      | id          | random |",
        "      | code        | random |",
        "      | label       | random |",
        "      | photo       | random |",
        "    When I click the \"delete-btn\" button",
        "    Then I should be on the \"list\" page",
        "    And I should see a success message",
        "",
        "",
        "  @browser",
        "  Scenario: Delete an existing unit from list page",
        "    Given I am on the \"list\" page",
        "    And The item with below data",
        "      | id | 608d89f923ec6f382c27a642 |",
        "    When I click the \"delete-btn-608d89f923ec6f382c27a642\" button",
        "    Then I should be on the \"list\" page",
        "    And I should see a success message",
        ""
    ],
    "description": "feature-frontend-data-delete"
  }
}